## name.milesparker.epi.region
Class RegionAdapterFactory

    java.lang.Object
      name.milesparker.epi.region.RegionAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class RegionAdapterFactory

extends java.lang.Object
implements org.eclipse.core.runtime.IAdapterFactory

Region Java Implementation. Generated by AMF for model: EpidemicRegional.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`RegionAdapterFactory()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object agent, java.lang.Class type)`
`java.lang.Class[]` `getAdapterList()`
`static org.eclipse.core.runtime.IAdapterFactory` `getDefault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegionAdapterFactory

    public RegionAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object agent,
                                       java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `arg0` -
    `arg1` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

### getDefault

    public static org.eclipse.core.runtime.IAdapterFactory getDefault()